#!/bin/bash
#
#
# 	Script d'initialisation d'un dépot vMap versionné sous git
#
#   Split repo
#   git subtree split -P module/ -b module_split_branch
#
#   Add subtree
#   git subtree add --prefix vmap "git@vm09.veremes.net:Development/vitis_apps/sources/Vitis.git" master
#
#


APP_NAME="vmap"
APP_MODULES=( vmap vm4ms anc cadastre cadastreV2 )

rm -Rf repos
mkdir repos

# Vitis
echo "---- INIT Vitis ----"
git subtree add --prefix repos/vitis "git@vm09.veremes.net:Development/vitis_apps/sources/Vitis.git" master

# Conf
echo "---- INIT $APP_NAME conf ----"
git subtree add --prefix repos/app_${APP_NAME} "git@vm09.veremes.net:Development/vitis_apps/sources/app_${APP_NAME}.git" master

# Modules
for module in "${APP_MODULES[@]}"; do
	echo "---- INIT ${module} ----"

    # Ajoute le dépôt
	git subtree add --prefix repos/module_${module} "git@vm09.veremes.net:Development/vitis_apps/sources/module_${module}.git" master
done
