#!/bin/bash
#
#
# 	Script de mise à jour du dépot front vMap versionné sous git
#
#   Split repo
#   git subtree split -P module/ -b module_split_branch
#
#   Add subtree
#   git subtree add --prefix vmap "git@vm09.veremes.net:Development/vitis_apps/sources/Vitis.git" master
#
#


APP_NAME="vmap"
APP_MODULES=( vmap vm4ms anc cadastre cadastreV2 )

rm -Rf repos

# Vitis
echo "---- INIT Vitis ----"
git subtree pull --prefix ${APP_NAME} "git@vm09.veremes.net:Development/vitis_apps/sources/Vitis.git" master

# Conf
echo "---- INIT $APP_NAME conf ----"
git subtree pull --prefix ${APP_NAME}/client/conf "git@vm09.veremes.net:Development/vitis_apps/sources/app_${APP_NAME}.git" master

# Modules
for module in "${APP_MODULES[@]}"; do
	echo "---- INIT ${module} ----"

    # Ajoute le dépôt
    git clone "git@vm09.veremes.net:Development/vitis_apps/sources/module_${module}.git" repos/module_${module}
    if [ -d "$(pwd)/repos/module_${module}/" ]; then

        # Crée les branches contenant uniquement les dossiers cibles
        cd repos/module_${module}/
        if [ -d "$(pwd)/module/" ]; then
            git subtree split -P module/ -b module_split
        fi
        if [ -d "$(pwd)/web_service/conf/" ]; then
            git subtree split -P web_service/conf/ -b web_service_conf_split
        fi
        if [ -d "$(pwd)/web_service/sql/" ]; then
            git subtree split -P web_service/sql/ -b web_service_sql_split
        fi
        if [ -d "$(pwd)/web_service/ws/" ]; then
            git subtree split -P web_service/ws/ -b web_service_ws_split
        fi
        cd ../../

        # Ajoute les subtrees
        if [ -d "$(pwd)/repos/module_${module}/module/" ]; then
            git subtree pull --prefix ${APP_NAME}/client/modules/${module} repos/module_${module}/.git module_split
        fi
        if [ -d "$(pwd)/repos/module_${module}/web_service/conf/" ]; then
            git subtree pull --prefix ${APP_NAME}/vas/rest/conf/${module} repos/module_${module}/.git web_service_conf_split
        fi
        if [ -d "$(pwd)/repos/module_${module}/web_service/ws/" ]; then
            git subtree pull --prefix ${APP_NAME}/vas/rest/ws/${module} repos/module_${module}/.git web_service_ws_split
        fi
        if [ -d "$(pwd)/repos/module_${module}/web_service/sql/" ]; then
            git subtree pull --prefix ${APP_NAME}/vas/sql/${module} repos/module_${module}/.git web_service_sql_split
        fi
    fi
done
